Uses of Interface
org.apache.camel.builder.endpoint.dsl.SmbEndpointBuilderFactory.SmbEndpointBuilder
Packages that use SmbEndpointBuilderFactory.SmbEndpointBuilder
-
Uses of SmbEndpointBuilderFactory.SmbEndpointBuilder in org.apache.camel.builder.endpoint
Methods in org.apache.camel.builder.endpoint that return SmbEndpointBuilderFactory.SmbEndpointBuilderModifier and TypeMethodDescriptionSMB (camel-smb) SMB component which consumes natively from file shares using the Server Message Block (SMB, also known as Common Internet File System - CIFS) protocol Category: file Since: 4.2.0-SNAPSHOT Maven coordinates: org.apache.camel:camel-smb Syntax:smb:hostname:portPath parameter: hostname (required) The share name or IP address Path parameter: port The share port Default value: 445 Path parameter: shareName The share pathSMB (camel-smb) SMB component which consumes natively from file shares using the Server Message Block (SMB, also known as Common Internet File System - CIFS) protocol Category: file Since: 4.2.0-SNAPSHOT Maven coordinates: org.apache.camel:camel-smb Syntax:smb:hostname:portPath parameter: hostname (required) The share name or IP address Path parameter: port The share port Default value: 445 Path parameter: shareName The share path -
Uses of SmbEndpointBuilderFactory.SmbEndpointBuilder in org.apache.camel.builder.endpoint.dsl
Methods in org.apache.camel.builder.endpoint.dsl that return SmbEndpointBuilderFactory.SmbEndpointBuilderModifier and TypeMethodDescriptionSmbEndpointBuilderFactory.AdvancedSmbEndpointBuilder.basic()The user domain.SmbEndpointBuilderFactory.endpointBuilder(String componentName, String path) The password to access the share.The path, within the share, to consume the files from.SmbEndpointBuilderFactory.SmbEndpointBuilder.searchPattern(String searchPattern) The search pattern used to list the files.SMB (camel-smb) SMB component which consumes natively from file shares using the Server Message Block (SMB, also known as Common Internet File System - CIFS) protocol Category: file Since: 4.2.0-SNAPSHOT Maven coordinates: org.apache.camel:camel-smb Syntax:smb:hostname:portPath parameter: hostname (required) The share name or IP address Path parameter: port The share port Default value: 445 Path parameter: shareName The share pathSMB (camel-smb) SMB component which consumes natively from file shares using the Server Message Block (SMB, also known as Common Internet File System - CIFS) protocol Category: file Since: 4.2.0-SNAPSHOT Maven coordinates: org.apache.camel:camel-smb Syntax:smb:hostname:portPath parameter: hostname (required) The share name or IP address Path parameter: port The share port Default value: 445 Path parameter: shareName The share pathAn optional SMB I/O bean to use to setup the file access attributes when reading/writing a file.SmbEndpointBuilderFactory.SmbEndpointBuilder.smbIoBean(org.apache.camel.component.smb.SmbIOBean smbIoBean) An optional SMB I/O bean to use to setup the file access attributes when reading/writing a file.The username required to access the share.